<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.party.mapper.PartyMemberMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="memberResultMap" type="org.springblade.party.entity.PartyMember">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="sex" property="sex"/>
        <result column="phone" property="phone"/>
        <result column="address" property="address"/>
        <result column="id_card" property="idCard"/>
        <result column="branch_id" property="branchId"/>
        <result column="member_status" property="memberStatus"/>
        <result column="enter_time" property="enterTime"/>
        <result column="member_pic" property="memberPic"/>
        <result column="is_excellent" property="isExcellent"/>
        <result column="audit_status" property="auditStatus"/>
        <result column="audit_opinion" property="auditOpinion"/>
        <result column="org_position" property="orgPosition"/>
    </resultMap>


    <select id="selectMemberPage" resultMap="memberResultMap">
        select * from party_member where is_deleted = 0
    </select>

</mapper>
